Package org.opensaml.security.x509

# Class X509SubjectNameCriterion

java.lang.Object
org.opensaml.security.x509.X509SubjectNameCriterion

All Implemented Interfaces:
  `Criterion`

public final class X509SubjectNameCriterion extends Object implements Criterion
An implementation of `Criterion` which specifies criteria based on X.509 certificate subject name.

## Field Summary

Fields
Modifier and Type
Field
Description
`private X500Principal`
`subjectName`
X.509 certificate subject name.

## Constructor Summary

Constructors
Constructor
Description
`X509SubjectNameCriterion(X500Principal subject)`
Constructor.

## Method Summary

Modifier and Type
Method
Description
`boolean`
`equals(Object obj)`
`X500Principal`
`getSubjectName()`
Get the subject name.
`int`
`hashCode()`
`void`
`setSubjectName(X500Principal subject)`
Set the subject name.
`String`
`toString()`

### Methods inherited from class java.lang.Object

`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

## Field Details

### subjectName

@Nonnull private X500Principal subjectName
X.509 certificate subject name.

## Constructor Details

### X509SubjectNameCriterion

public X509SubjectNameCriterion(@Nonnull X500Principal subject)
Constructor.

Parameters:
  `subject` - certificate subject name

## Method Details

### getSubjectName

@Nonnull public X500Principal getSubjectName()
Get the subject name.

Returns:
  Returns the subject name

### setSubjectName

public void setSubjectName(@Nonnull X500Principal subject)
Set the subject name.

Parameters:
  `subject` - The subject name

### toString

public String toString()

Overrides:
  `toString` in class `Object`

### hashCode

public int hashCode()

Overrides:
  `hashCode` in class `Object`

### equals

public boolean equals(Object obj)

Overrides:
  `equals` in class `Object`